<?php
class GerenciarNotificacoes {

    public function selecionarTipo($tipo, $idMultanotificacao, $arquivoNotificacao, $email_morador, $nr_celular, $nm_morador) {
        $this->tipoNotificacao = $tipo;
        $this->arquivo = $arquivoNotificacao;
        $this->emailMorador = $email_morador;
        $this->celularMorador = $nr_celular;
        $this->nomeMorador = $nm_morador;

        if ($this->tipoNotificacao == 'Notificacao') {
            self::imagemNotificacao($arquivoNotificacao);
            self::notificacao($tipo, $idMultanotificacao);
            self::enviarEmailMorador($tipo, $idMultanotificacao);
            self::enviarSMSlMorador($tipo, $idMultanotificacao);
            self::excluir($idMultanotificacao);
        } else if ($this->tipoNotificacao == 'Advertencia') {
            self::espacoEmBranco();
            self::notificacao($tipo, $idMultanotificacao);
            self::enviarEmailMorador($tipo, $idMultanotificacao);
            self::enviarSMSlMorador($tipo, $idMultanotificacao);
            self::excluir($idMultanotificacao);
        } else if ($this->tipoNotificacao == 'Multa') {
            self::boletoBancario($idMultanotificacao);
            self::notificacao($tipo, $idMultanotificacao);
            self::enviarEmailMorador($tipo, $idMultanotificacao);
            self::enviarSMSlMorador($tipo, $idMultanotificacao);
            self::excluir($idMultanotificacao);
        }
    }

    private function notificacao($tipo, $idMultanotificacao) {
        echo '<td>
                <a href="#" class="imprimirTermo' . $tipo . '" idMultanotificacao="' . $idMultanotificacao . '"
                 title="Imprimir Termo de ' . $tipo . '"><i class="fa fa-print"></i></a>
                 </td>';
        echo '<td>
                <a href="' . base_url() . 'multanotificacao/editar' . $tipo . '/' . $idMultanotificacao . '"
                title="Editar"><i class="fa fa-pencil-square-o color-btn-edit"></i></a>
                </td>';
    }

    private function enviarEmailMorador($tipo, $idMultanotificacao) {
        echo '<td>
                <a href="' . base_url() . 'multanotificacao/enviar' . $tipo . '/' . $idMultanotificacao . '"
                class="enviarEmail"
                idMultanotificacao="' . $idMultanotificacao . '"
                tipo="' . $tipo . '"
                emailMorador="' . $this->emailMorador . '"
                title="Enviar por Email ' . $tipo . '"><i class="icon-envelope-alt color-envelope"></i></a>
             </td>';
    }
   private function enviarSMSlMorador($tipo, $idMultanotificacao) {
       echo '<td>
                 <a href="#modal-EnviarSMS" id="enviarSMS" role="button" data-toggle="modal"
                 multanotificacao="' . $idMultanotificacao . '"
                 celularMorador="' . $this->celularMorador . '"
                 tipoNotificacao = "' . $tipo . '"
                 nomeMorador = "' . $this->nomeMorador . '"
                 title="Enviar SMS ' . $tipo . '"><i class="glyphicon glyphicon-phone"></i></a>
                 </td>';

    }

    private function excluir($idMultanotificacao) {
        echo '<td>
                 <a href="#modal-form" role="button" data-toggle="modal" multanotificacao="' . $idMultanotificacao . '"
                 urlarquivo="' . $this->arquivo . '" title="Excluir"><i class="fa fa-trash-o" style="color:red"></i></a>
                 </td>';
        echo '</tr>';
    }
    private function boletoBancario($idMultanotificacao) {
        echo '<td>
                <a href="' . base_url('boletos/boleto_bb') . '" idMultanotificacao="' . $idMultanotificacao . '"
                target="_blank" class="imprimirBoleto" title="Boleto Banco do Brasil"><i class="fa fa-file-text-o color-bb"></i></a>
            </td>';
    }
    private static function espacoEmBranco() {
        echo '<td></td>';
    }

    private static function imagemNotificacao($arquivoNotificacao) {
        if (!empty($arquivoNotificacao)) {
            echo '<td>
                <a href="' . base_url() . 'multanotificacao/baixarDocumentos/' . $arquivoNotificacao . '"
                title="Imagem da Notificacao"><i class="fa fa-camera"></i></a>
            </td>';
        }else{
            self::espacoEmBranco();
        }

    }
}

?>